// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

public interface DroopParameterOrBuilder extends
    // @@protoc_insertion_point(interface_extends:generationmodule.DroopParameter)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue slope = 1;</code>
   * @return Whether the slope field is set.
   */
  boolean hasSlope();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue slope = 1;</code>
   * @return The slope.
   */
  com.google.protobuf.FloatValue getSlope();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue slope = 1;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getSlopeOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue unloadedOffset = 2;</code>
   * @return Whether the unloadedOffset field is set.
   */
  boolean hasUnloadedOffset();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue unloadedOffset = 2;</code>
   * @return The unloadedOffset.
   */
  com.google.protobuf.FloatValue getUnloadedOffset();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.google.protobuf.FloatValue unloadedOffset = 2;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getUnloadedOffsetOrBuilder();
}
